package com.community.huiju.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.community.huiju.common.base.ResponseBean;
import com.community.huiju.model.TaUser;
import com.community.huiju.dao.TaUserMapper;
import com.community.huiju.service.ITaUserService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 住户app端用户表 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-05-15
 */
@Service
public class TaUserServiceImpl extends ServiceImpl<TaUserMapper, TaUser> implements ITaUserService {

    @Override
    public ResponseBean addTaUser(String userName, String idCard, String gender, String phone) {
        ResponseBean responseBean = new ResponseBean();
        TaUser taUser = new TaUser();
        taUser.setUserName(userName);
        taUser.setIdCard(idCard);
        taUser.setLoginName(phone);

        boolean saveBool = this.save(taUser);
        if (saveBool) {
            responseBean.addSuccess(taUser);
        }

        return responseBean;
    }
}
